%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom
%define mozilla_version 1.7.5
%define mozilla_firefox_version 1.0.6

%define build_with_firefox 1

# Build with mozilla instead of firefox
%{?_with_mozilla: %global build_with_firefox 0}
%{?_without_mozilla: %global build_with_firefox 1}

Summary: GNOME web browser based on the mozilla rendering engine
Name: epiphany
Version: 1.6.5
Release: 6mdk
License: GPL
Group: Networking/WWW
URL: http://www.gnome.org/projects/epiphany/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: epiphany-48.png
Source2: epiphany-32.png
Source3: epiphany-16.png
Source4: epiphany-bookmarks-48.png
Source5: epiphany-bookmarks-32.png
Source6: epiphany-bookmarks-16.png
# (fc) 0.9.2-2mdk fix defaults settings
Patch1:	epiphany-1.6.4-defaults.patch.bz2
# (fc) 1.4.6-2mdk default bookmarks
Patch6: epiphany-1.6.5-defaultbookmarks.patch.bz2
# (fc) 1.4.8-2mdk accept mozilla-firefox as product
Patch8: epiphany-1.6.5-firefox.patch.bz2
# (fc) 1.4.8-8mdk disable image autoresize (CVS)
Patch11: epiphany-1.4.8-disablezoom.patch.bz2
# (fc) 1.6.5-2mdk fix error when installing schema
Patch12: epiphany-1.6.5-i18n.patch.bz2
# (fc) 1.6.5-3mdk don't loose selection on tab switch
Patch13: epiphany-1.6.5-tabswitch.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %{build_with_firefox}
BuildRequires: mozilla-firefox-devel = %{mozilla_firefox_version}
%else
BuildRequires: mozilla-devel = %{mozilla_version}
%endif
BuildRequires: gnome-desktop-devel >= 2.10.0
BuildRequires: libglade2.0-devel >= 2.3.1
BuildRequires: iso-codes
BuildRequires: libxslt-devel
BuildRequires: dbus-devel
BuildRequires: scrollkeeper
BuildRequires: perl-XML-Parser
#gw if patched
BuildRequires: automake1.9
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: gnome-common
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Provides:       webclient
Requires: indexhtml
Requires: iso-codes
%if %{build_with_firefox}
Requires: mozilla-firefox = %{mozilla_firefox_version}
%else
Requires: mozilla = %{mozilla_version}
%endif

%description
Epiphany is a GNOME web browser based on the mozilla
rendering engine.
The name meaning:
"An intuitive grasp of reality through
something (as an event) usually simple and striking"

%package devel
Group: Development/C
Summary: Header files for developing with Epiphany
Requires: libxml2-devel
Requires: libgnomeui2-devel
Requires: libglade2.0-devel
Requires: dbus-devel

%description devel

This contains the C headers required for developing with Epiphany.

%prep
%setup -q
%patch1 -p1 -b .defaults
%patch6 -p1 -b .defaultbookmarks
%patch8 -p1 -b .mozilla-firefox
%patch11 -p1 -b .disablezoom
%patch12 -p1 -b .i18n
%patch13 -p1 -b .tabswitch

#fix build on x86-64
aclocal-1.9
automake-1.9

#needed by patch12
autoheader

#needed by patches 8 & 12
autoconf


%build

%configure2_5x \
%if %{build_with_firefox}
--with-mozilla=mozilla-firefox \
%endif
--disable-filepicker --enable-dbus

#parallel build is broken
make WARN_CFLAGS=""

%install
rm -rf $RPM_BUILD_ROOT %{name}-2.0.lang

%makeinstall_std

%find_lang %{name}-2.0 --with-gnome --all-name
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name-2.0.lang
done
rm -rf %buildroot%_var

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
	needs="X11" \
	section="Networking/WWW" \
	title="Epiphany Web Browser" \
	longtitle="Browse the web" \
	command="%{_bindir}/epiphany" \
	icon="epiphany.png" \
	startup_notify="true"
?package(%{name}):\
	needs="X11" \
	section="Networking/WWW" \
	title="Epiphany Bookmarks Editor" \
	longtitle="Browse and organize your bookmarks" \
	command="%{_bindir}/epiphany --bookmarks-editor" \
	icon="epiphany-bookmarks.png" \
	startup_notify="true"
EOF

mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 %SOURCE1 %buildroot%_liconsdir/epiphany.png
install -m 644 %SOURCE2 %buildroot%_iconsdir/epiphany.png
install -m 644 %SOURCE3 %buildroot%_miconsdir/epiphany.png
install -m 644 %SOURCE4 %buildroot%_liconsdir/epiphany-bookmarks.png
install -m 644 %SOURCE5 %buildroot%_iconsdir/epiphany-bookmarks.png
install -m 644 %SOURCE6 %buildroot%_miconsdir/epiphany-bookmarks.png

mkdir -p  %buildroot%{_libdir}/epiphany-1.6/extensions

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for schema in epiphany epiphany-lockdown ; do 
 gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$schema.schemas > /dev/null
done
if [ "$1" = "2" ]; then
update-alternatives --remove webclient-gnome %{_bindir}/epiphany
update-alternatives --remove webclient-kde %{_bindir}/epiphany
fi

%{update_menus}

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%preun
if [ "$1" = "0" ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for schema in epiphany epiphany-lockdown ; do
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$schema.schemas > /dev/null
done
fi

%files -f %{name}-2.0.lang
%defattr(-,root,root,-)
%doc COPYING.README COPYING README TODO NEWS ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_mandir}/man1/%name.1*
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/epiphany
%{_datadir}/pixmaps/*
%dir %{_datadir}/omf/epiphany
%{_datadir}/omf/epiphany/epiphany-C.omf

%{_menudir}/*
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png
%_libdir/epiphany-1.6

%files devel
%defattr(-,root,root,-)
%_includedir/*
%_libdir/pkgconfig/*
%_datadir/gtk-doc/html/epiphany

%changelog
* Wed Sep 14 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.5-6mdk 
- Fix url
- Add requires_exception to prevent from asking mozilla

* Fri Sep 09 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.5-5mdk 
- Update patch6 with new bookmarks
- Remove patch5, no longer needed

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 1.6.5-4mdk
- rebuild to remove glitz dep

* Mon Aug 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.5-3mdk 
- Patch13 (CVS): don't loose selection when switching between tabs

* Mon Aug 22 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.5-2mdk 
- Patch12: fix error when installing schema

* Sun Aug 14 2005 Gtz Waschk <waschk@mandriva.org> 1.6.5-1mdk
- replace prereq
- drop patches 12,13
- update patch 8
- New release 1.6.5

* Mon Aug 01 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.4-8mdk 
- Fix patch6 (Mdk bug #17147)
- Patch13 (CVS): fix choosing homepage in preferences

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.4-7mdk 
- Update patch6 with correct url for our websites
- Merge patch13 in patch1 and change default download dir to desktop

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.4-6mdk 
- Patch13 : add find in the default loaded extensions

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.4-5mdk 
- Patch12 (CVS): fix focus behaviour

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.4-4mdk 
- Rebuild with FF 1.0.6
- Update icons (Mdk bug #17055)

* Tue Jul 19 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-3mdk
- fix devel deps

* Tue Jul 19 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-2mdk
- enable dbus

* Wed Jul 06 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-1mdk
- New release 1.6.4

* Wed May 25 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.3-5mdk 
- Rebuild with FF 1.0.4

* Tue May 03 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.6.3-4mdk
- add BuildRequires: gnome-common (needed when running autoconf)

* Mon May 02 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.3-3mdk 
- Fix build on x86-64
- only apply patch5 on x86

* Thu Apr 28 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.3-2mdk 
- Add dependencies on iso-codes package

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 1.6.3-1mdk
- New release 1.6.3

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.6.2-3mdk
- fix buildrequires

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.2-2mdk 
- Oops, fix forgotten macro

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.2-1mdk 
- Release 1.6.2 (based on Gtz Waschk package)
- Regenerate patches 5 & 8
- Remove patches 7, 9, 10 (merged upstream)

* Fri Apr 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.8-8mdk 
- Patch11 (CVS): disable Firefox image resizing

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.8-7mdk 
- Rebuild for FF 1.0.2

* Thu Mar 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.8-6mdk 
- Update patch7
- Patch8 (CVS): fix various crashes
- Patch9 (CVS): fix pointer grab

* Thu Mar 10 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.8-5mdk 
- own extensions dir (Mdk bug #14421)

* Sun Feb 27 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.4.8-4mdk
- rebuild for new mozilla-firefox

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.8-3mdk 
- Drop webclient-gnome/kde alternatives

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.8-2mdk 
- Now build with firefox as backend, instead of mozilla
- Patch7 (CVS): fix typeahead with firefox
- Patch8: accept mozilla-firefox as product

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.8-1mdk
- New release 1.4.8

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.7-3mdk 
- Rebuild with latest howl

* Mon Dec 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.7-2mdk 
- Rebuild with mozilla 1.7.5

* Mon Dec 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.4.7-1mdk
- New release 1.4.7

* Mon Nov 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.6-2mdk
- Patch6: add default bookmarks
- Disable epiphany filechooser, use Mozilla one (ie GTK2 one now)

* Mon Nov 29 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.4.6-1mdk
- New release 1.4.6

* Sun Nov 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.5-1mdk
- add the man page
- remove unpackaged files
- New release 1.4.5

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.4-1mdk
- bump mozilla version
- fix omf file listing
- New release 1.4.4
- Remove patches 6 & 7, 8 (merged upstream)

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-4mdk
- Update patch 7 (drop one patch, cause warning)
- Patch8 (CVS): add always fullscreen mode
- Install lockdown schema too

* Tue Aug 31 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-3mdk
- Patch7 (CVS): various bug fixes

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-2mdk
- Rebuild with mozilla 1.7.2

* Mon Aug 16 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.8-1mdk
- New release 1.2.8

* Mon Aug 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.7-2mdk
- Remove patch 0 (handled by mozilla now)

* Mon Aug  2 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.7-1mdk
- New release 1.2.7

* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.6-3mdk
- Add lang tag to omf file

* Wed Jun 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.6-2mdk
- Rebuild against mozilla 1.7 final

* Mon Jun 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.6-1mdk
- New release 1.2.6

* Thu Jun 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.5-2mdk
- reallow libtoolize
- rebuild for new g++

* Tue May  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.5-1mdk
- fix buildrequires again
- New release 1.2.5

* Sat May  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.4-3mdk
- fix buildrequires

* Wed Apr 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-2mdk
- Rebuild for Mozilla 1.7

* Tue Apr 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.4-1mdk
- New release 1.2.4

* Mon Apr 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.3-3mdk
- fix buildrequires

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.3-2mdk
- fix devel requires, according to the pkgconfig file

* Mon Apr 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.3-1mdk
- new version

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- Release 1.2.2 (with Gtz help)
- fix buildrequires
- drop patches 2,3,4
- devel package requires new glib
- fix file list
- Patch6 : fix parallel build

* Tue Mar 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-7mdk
- Patch5 (galeon): Add gcc2 ABI for old plugin (Realplayer)

* Mon Mar 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-6mdk
- Update patch0 to workaround flash plugin performance bug (Mdk bug #8325)

* Tue Mar 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-5mdk
- Patch3 (CVS): fix various crashes
- Patch4 : fix translations in xml files

* Fri Feb 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-4mdk
- Patch2 (Galeon): keep primary selection from location bar when switching tab

* Wed Feb 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-3mdk
- Fix weight for webclient alternative, since Epiphany is now GNOME default browser.

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.7-2mdk
- fix buildrequires
- drop useless patch 2

* Mon Jan 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk
- Release 1.0.7 (for mozilla 1.6)

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 1.0.6-4mdk
- rebuild for new pkgconfig Requires

* Tue Dec 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-3mdk
- Rebuild for moz 1.5

* Fri Nov 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-2mdk
- Rebuild for moz 1.4.1

* Mon Nov 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.6-1mdk
- patch for new mozilla
- new version

* Thu Nov  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- new version

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-1mdk
- Release 0.9.3

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-2mdk
- Provides webclient 
- Patch1 : fix default home 

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- Release 0.9.2

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.4-1mdk
- Release 0.8.4

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.3-1mdk
- Release 0.8.3

* Sat Aug  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- rebuild for new mozilla

* Tue Aug  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- add missing file
- new version

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- add a devel package
- new version

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-5mdk
- don't deinstall schemas on update

* Sat Jul  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-4mdk
- add plugin path to the startup script (Reinout van Schouwen)

* Fri Jul  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.3-3mdk
- Rebuild against mozilla 1.4
- Always remove schema at preun time, otherwise we might not remove old keys when upgrading

* Mon Jun 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-2mdk
- move the schema uninstallation to preun, else the files are already removed

* Mon Jun 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-1mdk
- add an uninstallation rule for the gconf schemas, please test
- new version

* Sun Jun 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- new version

* Sun Jun  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- new version

* Wed Jun  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-2mdk
- work around gcc 3.3 changes to make it compile

* Mon May 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- fix the rpmlint warnings
- new version

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-2mdk
- Rebuild against mozilla 1.4beta

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.0-1mdk
- Release 0.6.0

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5.0-1mdk
- First Mandrake package
